#!/bin/bash
abmdir=/minecraft/Ascii-Bukkit-Menu
functions="$abmdir/include/scripts/functions.sh"
vars="$abmdir/include/config/vars"
abmconfig="$abmdir/include/config/abm.conf"

source $functions
source $vars
source $abmconfig

# Trap ctrl+c and do cleanup.
trap ctrl_c INT

# Menu Structure.
showMainMenu () {
    echo "1:$txtgrn Запуск"$txtrst
    echo "2:$txtred Стоп"$txtrst
    echo "3:$txtylw Перезапуск"$txtrst
	echo "4:$txtwht Выполнить команду"$txtrst
	echo "5:$txtwht Чат"$txtrst
	echo "9:$txtwht Дополнительно"$txtrst
	echo
	echo "0:$txtred Выйти из ABM"$txtrst
}

advancedMenu () {
while [ 1 ]
  do
  	clear
  	echo "1:$txtwht Обновить Bukkit"$txtrst
  	echo "2:$txtwht Убить неактивные сессии ABM"$txtrst
	echo "3:$txtwht Удалить временные файлы ABM"$txtrst
	echo
	echo "0:$txtwht Вернуться в главное меню"$txtrst
	echo
	echo -e "Введите выбор: \c"	
	read CHOICE
	case "$CHOICE" in
		"1")
			update
			;;
		"2")
			killdefunctABM
			;;
		"3")
			forcecleanTmp
			;;
		"0")
			break
            ;;
  		"q")
			break
			;;
        *) echo "\"$CHOICE\" is not valid "; sleep 2 ;;
    esac
done
}

# Display Menu and wait for choice.
while [ 1 ]
do
	clear
	showMainMenu
	echo
	echo -e "Введите выбор: \c"	
	read CHOICE
	case "$CHOICE" in
		"1")
			echo "Запуск сервера..."
			startServer	
			sleep 1
			;;

		"2")
			echo "Остановка сервера.."
            		stopServer 
			;;

		"3")
			echo "Restarting Server.."
			restartServer
			;;
		"4")
			serverCommands
			;;
		"5")
			sayCommand
			;;
		"t")
			sayCommand
			;;
		"9")
			advancedMenu
			;;
		"0")
			quitFunction
                        ;;
		"q")	
			quitFunction
			;;
                *) echo "\"$CHOICE\" не надо так "; sleep 2 ;;
        esac
done
